<?php


namespace manifest;


class Repository
{
    protected string $_name;
    protected string $_href;

    public function __construct(string $name, string $href) {
        $this->_href = $href;
        $this->_name = $name;
    }

    public function getName() : string {
        return $this->_name;
    }

    public function getHref() : string {
        return $this->_href;
    }

    public function toYaml(): array
    {
        return [
            "name"=>$this->_name,
            "href"=>$this->_href
        ];
    }
}