<?php


namespace tasks;


class DisplayHelpMessage implements \iTask
{

    public function execute(): void
    {
        echo "-v:               enable verbose output".PHP_EOL
            ."--setup           install apothee base framework and create conf and lib directories".PHP_EOL
            ."--setup-cron           install cronjobs".PHP_EOL
            ."--install, -i [module name]:      install a module, if no module name is given all modules from apoothee.yaml will be installed.".PHP_EOL
            ."--install, -i \"module_name[|https:://git.repo/repo[|target_branch]]\":       '|' delimited additional information".PHP_EOL
            ."--require \"module_name[|https:://git.repo/repo[|target_branch]]\":       '|' delimited additional information".PHP_EOL
            ."--remove, -r [module name]:       remove a module".PHP_EOL
            ."--update, -u [module name]:       update a module".PHP_EOL
            ."--list-installed, -l:         list installed module".PHP_EOL
            ."--add-repository, -a [repository name, repository_url]:       add a repository (currently not implemented)".PHP_EOL
            ."--install-composer:       install composer".PHP_EOL
            ."--cinstall:       install a composer package".PHP_EOL
            ."--lib-dir:        specify library directory".PHP_EOL;
    }
}