<?php

namespace tasks;

use Throwable;

class DummyTask implements \iTask {

    protected ?Throwable $_throwable = null;

    public function __construct(?Throwable $throwable) {
        $this->_throwable = $throwable;
    }

    public function execute(): void
    {
        if ($this->_throwable instanceof \Throwable) {
            throw $this->_throwable;
        }
        print("This is a dummy task");
    }
}