<?php


namespace tasks;


use JetBrains\PhpStorm\Pure;

class UpdateTask extends ModuleTask
{

    protected ?string $_version = null;

    #[Pure] public function __construct(string $module_name, string $version = V_LATEST) {
        $this->_version = $version;
        parent::__construct($module_name);
    }

    /**
     * @throws \Exception
     */
    public function execute(): void
    {
        self::update($this->_module_name);
    }
}
