<?php

define("L_GOOD", 5);
define("L_ERROR", 1);
define("L_WARNING", 2);
define("L_INFO", 3);
define("L_DEFAULT", 4);

define("V_LATEST",'latest');

spl_autoload_register(static function ($class_name) {
    $arr = explode("\\", $class_name);
    $path = "src" . DIRECTORY_SEPARATOR . implode(DIRECTORY_SEPARATOR, $arr) . '.php';
    if (file_exists($path)) {
        require_once($path);
    } else {
        include "..". DIRECTORY_SEPARATOR . $path;
    }
});