# Apothee CLI

## How to: install
```sh
wget https://gitlab.alexwaresystems.de/apothee/cli/-/jobs/artifacts/master/download?job=build -O apothee.zip
unzip apothee.zip
rm apothee.zip
```

```sh
php apothee.phar
```

## Usage
```
--install, -i [module name]: install a module, if no module name is given all modules from apoothee.yaml will be installed.
--install, -i "module_name[|https:://git.repo/repo[|target_branch]]": '|' delimited additional information

--remove, -r [module name]: remove a module
--update, -u [module name]: update a module
--list-installed, -l:       list installed module

--add-repository, -a [repository name, repository_url]: add a repository (not implemented yet)

--setup:        install apothee base framework and create conf and lib directories
--setup-cron:   install cronjobs

--install-composer:         install composer
--cinstall [package name]:  install a composer package

--lib-dir: specify lib directory

--help: display help message
```