<?php

define("L_GOOD", 5);
define("L_ERROR", 1);
define("L_WARNING", 2);
define("L_INFO", 3);
define("L_DEFAULT", 4);

define("V_LATEST",'latest');

spl_autoload_register(static function ($class_name) {
    $arr = explode("\\", $class_name);
    include implode('/', $arr) . '.php';
});

Common::_log(L_WARNING, "++++++++++++++++++++++++++++++++++++++++++");
Common::_log(L_WARNING, " Apothee Command Line Tool (experimental) ");
Common::_log(L_WARNING, "++++++++++++++++++++++++++++++++++++++++++");

if (!isset($argv)) {
    $argv = [];
}

Cli::run($argv);
Common::_log(L_DEFAULT,"done");
exit(0);
