<?php


namespace tasks\composer;


use JetBrains\PhpStorm\Pure;

class ComposerRequireTask extends ComposerTask
{
    /**
     * ComposerRequireTask constructor.
     * @param array|string $packages Single package or list of packages to install
     */
    #[Pure] public function __construct(array|string $packages) {
        if (is_array($packages)) {
            $packages_string = "";
            foreach ($packages as $package) {
                $packages_string .= " " . $package;
            }
        } else {
            $packages_string = $packages;
        }
        parent::__construct("require " . $packages_string);
    }
}