<?php


namespace tasks\composer;


abstract class ComposerTask implements \iTask
{
    protected string $_command;

    public function __construct(string $command) {
        $this->_command = $command;
    }

    public function execute(): void
    {
        exec("php composer.phar " . $this->_command, $out, $result_code);
        if ($result_code !== 0) {
            var_dump($out);
            throw new \RuntimeException("Composer task failed: Returned: " . $result_code);
        }
    }
}